package ru.yandex.webmaster3.storage.searchquery.util;

import java.util.function.Function;

import ru.yandex.webmaster3.storage.searchquery.DayStat;

/**
 * @author aherman
 */
public interface Accumulator extends Function<DayStat, Void> {

    Double getValue();

    default boolean hasGaps() {
        return false;
    }

    default int getItemsCount() {
        return 0;
    }
}
